# Verarbeitungsreihenfolge von location rules:
# --------------------------------------------------------------------------------------------------------------------------------------------
# Search-Order       Modifier       Description                                                        Match-Type        Stops-search-on-match
# --------------------------------------------------------------------------------------------------------------------------------------------
#     1st               =           The URI must match the specified pattern exactly                  Simple-string              Yes
#     2nd               ^~          The URI must begin with the specified pattern                     Simple-string              Yes
#     3rd             (None)        The URI must begin with the specified pattern                     Simple-string               No
#     4th               ~           The URI must be a case-sensitive match to the specified Rx      Perl-Compatible-Rx      Yes (first match)
#     4th               ~*          The URI must be a case-insensitive match to the specified Rx    Perl-Compatible-Rx      Yes (first match)
#     N/A               @           Defines a named location block.                                   Simple-string              Yes
# --------------------------------------------------------------------------------------------------------------------------------------------
#
# Regex Matches werden bevorzugt verwendet.
# Mehr: https://stackoverflow.com/a/59846239/1546181
pid /tmp/nginx.pid;
worker_processes  1;

events {
    worker_connections  1024;
}

http {
    include       mime.types;
    server_tokens off;
    access_log off;
    error_log stderr crit;

    server {
        listen 8080;
        server_name localhost;

       

        location / {
            root   /usr/share/nginx/html/design-system/;
            index  index.html index.htm;

            #add_header Cache-Control "no-store, no-cache, must-revalidate, proxy-revalidate, max-age=0";
            #add_header Expires "0";
        }
        


        client_body_temp_path /tmp/client_temp;
        proxy_temp_path       /tmp/proxy_temp_path;
        fastcgi_temp_path     /tmp/fastcgi_temp;
        uwsgi_temp_path       /tmp/uwsgi_temp;
        scgi_temp_path        /tmp/scgi_temp;

        gzip on;
        gzip_min_length 1000;
        gzip_proxied expired no-cache no-store private auth;
        gzip_types text/plain text/css application/json application/javascript application/x-javascript text/xml application/xml application/xml+rss text/javascript;
    

        error_page   500 502 503 504  /50x.html;
        location = /50x.html {
            root html;
        }
    }
}
